Create credit note against invoice
curl --request POST \
--url https://api.zenskar.com/invoices/{invoice_id}/credit_note \
--header 'Content-Type: application/json' \
--header 'organisation: <api-key>' \
--header 'x-api-key: <api-key>' \
--data '
{
"credit_note_amount": 123,
"reason": "<string>",
"refund_amount_split": [
{
"payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"refund_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
'import requests
url = "https://api.zenskar.com/invoices/{invoice_id}/credit_note"
payload = {
"credit_note_amount": 123,
"reason": "<string>",
"refund_amount_split": [
{
"payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"refund_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
headers = {
"x-api-key": "<api-key>",
"organisation": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
organisation: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
credit_note_amount: 123,
reason: '<string>',
refund_amount_split: [
{
payment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: 123,
refund_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
]
})
};
fetch('https://api.zenskar.com/invoices/{invoice_id}/credit_note', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"currency": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "in_progress",
"repayment_method": "credits",
"line_items_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"credits_returned": 123,
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"external_id": "<string>"
},
"invoice": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"external_id": "<string>"
},
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_data": {},
"credit_note_number": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Invoices
Create credit note against invoice
Create a credit note against an invoice by its ID.
POST
/
invoices
/
{invoice_id}
/
credit_note
Create credit note against invoice
Authorizations
Path Parameters
Body
application/json
Adjustment amount to be applied to the invoice.
Reason for the credit note
Where to send the refund money. This field is required if a payment needs to be refunded when issuing a credit note.
Available options:
credits, original_payment_method, external Split the refund across multiple payments. If not provided, the system will use payments in order from oldest to newest.
Show child attributes
Show child attributes
Response
Successful Response
ID
Amount in lowest denomination of the currency
Currency
Customer ID
Status
Available options:
in_progress, issued, void, paid Repayment Method
Available options:
credits, invoice_adjusted, external_payment, credits_against_payment, original_payment_method Line Items URL
Created At
Credits amount in lowest denomination of the currency
Customer Object
Show child attributes
Show child attributes
Invoice Object
Show child attributes
Show child attributes
Invoice ID
Custom Data Dictionary
Credit Note Number